javax.resource.spi.work

## Class WorkCompletedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.work.WorkException
        - - javax.resource.spi.work.WorkCompletedException

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkCompletedException
      extends WorkException

  This exception is thrown by a `WorkManager` to indicate that a submitted `Work` instance has completed with an exception.

  This could be thrown only after the execution of a `Work` instance has started (that is, after a thread has been allocated for `Work` execution). The allocated thread sets up an execution context (if it has been specified), and then calls `Work.run()`.

  Any exception thrown during execution context setup or during `Work` execution (that is, during `Work.run()`) is chained within this exception.

  An associated error code indicates the nature of the error condition. Possible error codes are `WorkException.TX_RECREATE_FAILED`, `WorkException.TX_CONCURRENT_WORK_DISALLOWED` or `WorkException.UNDEFINED`.

  Version:
    1.0
  Author:
    Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.resource.spi.work.WorkException

      `INTERNAL, START_TIMED_OUT, TX_CONCURRENT_WORK_DISALLOWED, TX_RECREATE_FAILED, UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkCompletedException()` Constructs a new instance with null as its detail message.
    `WorkCompletedException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `WorkCompletedException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `WorkCompletedException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `WorkCompletedException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkCompletedException

          public WorkCompletedException()

      Constructs a new instance with null as its detail message.

    - #### WorkCompletedException

          public WorkCompletedException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### WorkCompletedException

          public WorkCompletedException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### WorkCompletedException

          public WorkCompletedException(java.lang.String message,
                                        java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### WorkCompletedException

          public WorkCompletedException(java.lang.String message,
                                        java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)